type label = { label : string; mutable anchor : int option }

val registers : unit -> 
  (Risc.register -> unit) *           (* get_register R succeeds if R is free *)
  (unit -> Risc.register) *           (* get_free_register returns a free register *)
  (Risc.register -> unit) *           (* free_register R to free busy register R *)
  (unit -> Risc.register list)        (* list of busy registers *)

val new_label : string -> label
val getAnchor : label -> int

val code : unit -> 
  (unit -> int) *                   (* get current PC *)
  (label -> unit) *                 (* anchor label at current PC *)
  (Risc.instruction -> unit) *      (* add instruction *)
  (string -> unit) *                (* comment instruction *)
  (unit -> unit)                    (* print code *)
