open Risc

type symbol = Symbol of int * string

let new_symbol =
  let count = ref 0 in
    function s ->
      incr count;
      Symbol(!count,s)

let readInt_symbol = new_symbol "readInt"
let readChar_symbol = new_symbol "readChar"
let printInt_symbol = new_symbol "printInt"
let printChar_symbol = new_symbol "printChar"

let string_of_symbol (Symbol(n,s)) = s^"("^(string_of_int n)^")"

let symbol_syscall_assoc = [readInt_symbol,Sys_io_rd_int;
			    readChar_symbol,Sys_io_rd_chr;
			    printInt_symbol,Sys_io_wr_int;
			    printChar_symbol,Sys_io_wr_chr]
